import httpRequest from '@/utils/axios'

/**
 * 消息看板
 */
export function getStatisticsData(params) {
  return httpRequest.get('/api/message/v1/messages/statistics', { params })
}
/**
 * 消息模板列表
 */
export function getMsgTempList(params) {
  return httpRequest.get('/api/message/v1/messages/messagebuses', { params })
}
/**
 * 消息模板详情
 */
export function getMsgTempDetail(id) {
  return httpRequest.get(`/api/message/v1/messages/${id}/messagebus`)
}
/**
 * 删除消息模板列表
 */
export function deleteTemp(id) {
  return httpRequest.delete(`/api/message/v1/messages/${id}/messagebus`)
}
/**
 * 分组列表
 */
export function getGroupList(params) {
  return httpRequest.get('/api/message/v1/messages/groups', { params })
}
/**
 * 分组列表详情
 */
export function getGroupDetail(id, params) {
  return httpRequest.get(`/api/message/v1/messages/${id}/group/users`, { params })
}
/**
 * 分组列表详情
 */
export function addGroup(data) {
  return httpRequest.post('/api/message/v1/messages/group', data)
}
/**
 * 用户列表
 */
export function getAddUserList() {
  return httpRequest.get('/api/message/v1/sso-user/list')
}
/**
 * 用户列表搜索
 */
export function userListSearch(params) {
  return httpRequest.get('/api/message/v1/sso-user/search', { params })
}
/**
 * 添加用户到组
 */
export function userOpenGroup(data) {
  return httpRequest.post('/api/message/v1/messages/users-to-groups', data)
}
/**
 * 分组列表
 */
export function groupsList() {
  return httpRequest.get('/api/message/v1/messages/groups')
}
/**
 * 消息模板创建
 */
export function createTemp(params) {
  return httpRequest.post('/api/message/v1/messages/messagebus', params)
}
/**
 * 消息模板编辑
 */
export function editTemp(id, params) {
  return httpRequest.put(`/api/message/v1/messages/${id}/messagebus`, params)
}
/**
 * 批量删除模板
 */
export function deleteTampList(data) {
  return httpRequest.post('/api/message/v1/messages/messagebus/batch-delete', data)
}
/**
 * 删除用户组
 */
export function delGroup(id) {
  return httpRequest.delete(`/api/message/v1/messages/${id}/group`)
}
/**
 * 删除用户组用户
 */
export function delGroupUser(params) {
  return httpRequest.delete('/api/message/v1/messages/remove-user-from-group', { params })
}
/**
 * 创建日志
 */
export function addLog(data) {
  return httpRequest.post('/api/message/v1/system/log', data)
}
/**
 * 日志列表
 */
export function getLogList(params) {
  return httpRequest.get('/api/message/v1/system/logs', { params })
}
/**
 * 短信模板列表
 */
export function getSmsTempList(params) {
  return httpRequest.get('/api/message/admin/v1/sms/templates', { params })
}
/**
 * 短信模板创建
 */
export function creatSmsTemp(params) {
  return httpRequest.post('/api/message/admin/v1/sms/template', params)
}
/**
 * 删除消息模板列表
 */
export function deleteSmsTemp(id) {
  return httpRequest.delete(`/api/message/admin/v1/sms/${id}/template`)
}
/**
 * 消息模板详情
 */
export function getSmsTempDetail(id) {
  return httpRequest.get(`/api/message/admin/v1/sms/${id}/template`)
}
/**
 * 消息模板编辑
 */
export function editSmsTemp(id, params) {
  return httpRequest.put(`/api/message/admin/v1/sms/${id}/template`, params)
}
/**
 * 短信分发列表
 */
export function getSmsRecordList(params) {
  return httpRequest.get('/api/message/admin/v1/sms/records', { params })
}
/**
 * 短信分发列表
 */
export function getQueryRecord(params) {
  return httpRequest.get('/api/message/admin/v1/sms/query-record', { params })
}
// export function uploadFile(data) {
//   return httpRequest.post('/api/lms/util/upload-file', data, {
//     headers: { 'Content-Type': 'multipart/form-data' }
//   })
// }

// /**
//  * 获取用户等级
//  */
// export function getUserGrade() {
//   return httpRequest.get('/api/opera/v1/api/user/level')
// }

// /* 获取案例列表 */
// export function getCaseList(params) {
//   return httpRequest.get('/api/opera/v1/api/cases', { params })
// }

// /* 选中案例 */
// export function confirmCases(data) {
//   return httpRequest.post('/api/opera/v1/api/case/select', data)
// }

// /* 用户群列表 */
// export function getUserGroup(params) {
//   return httpRequest.get('/api/opera/v1/api/groups', { params })
// }

// /* 用户群列表详情 */
// export function getUserGroupDetail(params) {
//   return httpRequest.get(`/api/opera/v1/oprations/${params}/cgroup`)
// }

// /* 触达列表 */
// export function getTriggerList(params) {
//   return httpRequest.get('/api/opera/v1/api/reach/list', { params })
// }

// /* 用户触达提交 */
// export function submitTrigger(data) {
//   return httpRequest.post('/api/opera/v1/api/reach/submit', data)
// }

// /* 用户触达提交文本 */
// export function submitContext(data) {
//   return httpRequest.post('/api/opera/v1/api/reach/submit/context', data)
// }

// /* 特征提交 */
// export function submitCharacteristic(data) {
//   return httpRequest.post('/api/opera/v1/api/characteristic/submit', data)
// }
